Subject: Re: bug#40126: Acknowledgement (28.0.50; [feature/native-comp] + Org 9.3.6 org-with-wide-buffer macro is wrongly treated as function)

From: Andrea Corallo <[email-masked]>
Date: Tue, 07 Apr 2020 19:27:00 +0000

Ihor Radchenko <[email-masked]> writes:

> Hi Andrea,
>
>> yes but in org-refile.el there are no requires at all :O
>
> That looks strange for me too. Though org-mode somehow manages to
> be compiled with normal byte-compilation...
>
> I suspect that it relies on compiling org.el first with
> (eval-and-compile (require 'org-macs)) forcing Emacs to have all the
> macros defined there to be available (dynamically) during compilation of
> all other org-mode source files.
>
> I have reported this as a bug to org-mode mail-list [1]. Lets see what they
> say.
>
> On the native-compile branch side, it would probably be a good idea to
> throw an error in similar scenarios instead of generating erroneous .eln
> file.

I don't think we should refuse to compile for warnings.

Saying that during deferred compilation we do not compile any file with
a warning we could end-up being unable to compile many files.

We certainly have to signal in a bettere way errors and warning
happening during async compilaiton to the user tho.

Andrea

--
[email-masked]